<ion-header class="ion-no-border">
  <ion-toolbar>
      <ion-buttons slot="start">
          <ion-button slot="start" (click)="canDismiss()" ><ion-icon name="close-sharp"></ion-icon></ion-button>
      </ion-buttons>
      <ion-title>{{title}}</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content class="background">
  <app-user-img>

  </app-user-img>
  <ion-card style="padding: 10px 10px 10px 10px;">
  <form class="form" [formGroup]="userForm" (ngSubmit)="editprofile(userForm.value)">
    <ion-label ><h4>{{username}}</h4></ion-label>
    <ion-item>

        <ion-input type="text" formControlName="displayName"></ion-input>
    </ion-item>

    <ng-container *ngFor="let error of error_msg.displayName">
        <div *ngIf="userForm.get('displayName').hasError(error.type) && (userForm.get('displayName').dirty || userForm.get('displayName').touched)">
            <div *ngIf="language === 'es'"><i style="color: red;font-size: small;">{{ error.message_es}}</i></div>
            <div *ngIf="language === 'en'"><i style="color: red;font-size: small;">{{ error.message_en}}</i></div>
        </div>
    </ng-container>
    <br>
    <ion-label ><h4>Email</h4></ion-label>
    <ion-item>

        <ion-input type="text" formControlName="email" ></ion-input>
    </ion-item>

    <ng-container *ngFor="let error of error_msg.email">
        <div *ngIf="userForm.get('email').hasError(error.type) && (userForm.get('email').dirty || userForm.get('email').touched)">
            <div *ngIf="language === 'es'"><i style="color: red;font-size: small;">{{ error.message_es}}</i></div>
            <div *ngIf="language === 'en'"><i style="color: red;font-size: small;">{{ error.message_en}}</i></div>
        </div>
    </ng-container>
    <br>
    <ion-label ><h4>Password </h4></ion-label>
    <ion-item>

        <ion-input type="password" formControlName="password"></ion-input>
    </ion-item>

    <ng-container *ngFor="let error of error_msg.password">
        <div *ngIf="userForm.get('password').hasError(error.type) && (userForm.get('password').dirty || userForm.get('password').touched)">
            <div *ngIf="language === 'es'"><i style="color: red;font-size: small;">{{ error.message_es}}</i></div>
            <div *ngIf="language === 'en'"><i style="color: red;font-size: small;">{{ error.message_en}}</i></div>
        </div>
    </ng-container>

    <ion-button type="submit" expand="block" [disabled]="!userForm.valid">{{save}}</ion-button>

    <label class="ion-text-center" color="danger">{{errorMsg}}</label>
    <label class="ion-text-center" color="success">{{successMsg}}</label>
  </form>
</ion-card>
</ion-content>
